Package org.opensaml.saml.saml2.core.impl

# Class AssertionImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.core.impl.AssertionImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `Assertion`, `Evidentiary`, `SignableXMLObject`

public class AssertionImpl extends AbstractSignableSAMLObject implements Assertion
A concrete implementation of `Assertion`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Advice`
`advice`
Advice of the assertion.
`private Conditions`
`conditions`
Conditions of the assertion.
`private String`
`id`
ID of the assertion.
`private Instant`
`issueInstant`
Issue Instant of the assertion.
`private Issuer`
`issuer`
Issuer of the assertion.
`private final IndexedXMLObjectChildrenList<Statement>`
`statements`
Statements of the assertion.
`private Subject`
`subject`
Subject of the assertion.
`private SAMLVersion`
`version`
SAML Version of the assertion.

### Fields inherited from interface org.opensaml.saml.saml2.core.Assertion

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ID_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_QNAME, TYPE_LOCAL_NAME, TYPE_NAME, VERSION_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AssertionImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Advice`
`getAdvice()`
Gets the Advice for this assertion.
`List<AttributeStatement>`
`getAttributeStatements()`
Gets the list of AttributeStatement attached to this assertion.
`List<AuthnStatement>`
`getAuthnStatements()`
Gets the list of AuthnStatements attached to this assertion.
`List<AuthzDecisionStatement>`
`getAuthzDecisionStatements()`
Gets the list of AuthzDecisionStatements attached to this assertion.
`Conditions`
`getConditions()`
Gets the Conditions placed on this assertion.
`String`
`getID()`
Sets the ID of this assertion.
`Instant`
`getIssueInstant()`
Gets the issue instance of this assertion.
`Issuer`
`getIssuer()`
Gets the Issuer of this assertion.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSignatureReferenceID()`
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.
`List<Statement>`
`getStatements()`
Gets the list of statements attached to this assertion.
`List<Statement>`
`getStatements(QName typeOrName)`
Gets the list of statements attached to this assertion that match a particular QName.
`Subject`
`getSubject()`
Gets the Subject of this assertion.
`SAMLVersion`
`getVersion()`
Gets the SAML Version of this assertion.
`void`
`setAdvice(Advice newAdvice)`
Sets the Advice for this assertion.
`void`
`setConditions(Conditions newConditions)`
Sets the Conditions placed on this assertion.
`void`
`setID(String newID)`
Sets the ID of this assertion.
`void`
`setIssueInstant(Instant newIssueInstance)`
Sets the issue instance of this assertion.
`void`
`setIssuer(Issuer newIssuer)`
Sets the Issuer of this assertion.
`void`
`setSubject(Subject newSubject)`
Sets the Subject of this assertion.
`void`
`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this assertion.

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### version

@Nullable private SAMLVersion version
SAML Version of the assertion.

### issueInstant

@Nullable private Instant issueInstant
Issue Instant of the assertion.

### id

@Nullable private String id
ID of the assertion.

### issuer

@Nullable private Issuer issuer
Issuer of the assertion.

### subject

@Nullable private Subject subject
Subject of the assertion.

### conditions

@Nullable private Conditions conditions
Conditions of the assertion.

### advice

@Nullable private Advice advice
Advice of the assertion.

### statements

@Nonnull private final IndexedXMLObjectChildrenList<Statement> statements
Statements of the assertion.

## Constructor Details

### AssertionImpl

protected AssertionImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getVersion

@Nullable public SAMLVersion getVersion()
Gets the SAML Version of this assertion.

Specified by:
  `getVersion` in interface `Assertion`
Returns:
  the SAML Version of this assertion.

### setVersion

public void setVersion(@Nullable SAMLVersion newVersion)
Sets the SAML Version of this assertion.

Specified by:
  `setVersion` in interface `Assertion`
Parameters:
  `newVersion` - the SAML Version of this assertion

### getIssueInstant

@Nullable public Instant getIssueInstant()
Gets the issue instance of this assertion.

Specified by:
  `getIssueInstant` in interface `Assertion`
Returns:
  the issue instance of this assertion

### setIssueInstant

public void setIssueInstant(@Nullable Instant newIssueInstance)
Sets the issue instance of this assertion.

Specified by:
  `setIssueInstant` in interface `Assertion`
Parameters:
  `newIssueInstance` - the issue instance of this assertion

### getID

@Nullable public String getID()
Sets the ID of this assertion.

Specified by:
  `getID` in interface `Assertion`
Returns:
  the ID of this assertion

### setID

public void setID(@Nullable String newID)
Sets the ID of this assertion.

Specified by:
  `setID` in interface `Assertion`
Parameters:
  `newID` - the ID of this assertion

### getIssuer

@Nullable public Issuer getIssuer()
Gets the Issuer of this assertion.

Specified by:
  `getIssuer` in interface `Assertion`
Returns:
  the Issuer of this assertion

### setIssuer

public void setIssuer(@Nullable Issuer newIssuer)
Sets the Issuer of this assertion.

Specified by:
  `setIssuer` in interface `Assertion`
Parameters:
  `newIssuer` - the Issuer of this assertion

### getSubject

@Nullable public Subject getSubject()
Gets the Subject of this assertion.

Specified by:
  `getSubject` in interface `Assertion`
Returns:
  the Subject of this assertion

### setSubject

public void setSubject(@Nullable Subject newSubject)
Sets the Subject of this assertion.

Specified by:
  `setSubject` in interface `Assertion`
Parameters:
  `newSubject` - the Subject of this assertion

### getConditions

@Nullable public Conditions getConditions()
Gets the Conditions placed on this assertion.

Specified by:
  `getConditions` in interface `Assertion`
Returns:
  the Conditions placed on this assertion

### setConditions

public void setConditions(@Nullable Conditions newConditions)
Sets the Conditions placed on this assertion.

Specified by:
  `setConditions` in interface `Assertion`
Parameters:
  `newConditions` - the Conditions placed on this assertion

### getAdvice

@Nullable public Advice getAdvice()
Gets the Advice for this assertion.

Specified by:
  `getAdvice` in interface `Assertion`
Returns:
  the Advice for this assertion

### setAdvice

public void setAdvice(@Nullable Advice newAdvice)
Sets the Advice for this assertion.

Specified by:
  `setAdvice` in interface `Assertion`
Parameters:
  `newAdvice` - the Advice for this assertion

### getStatements

@Nonnull @Live public List<Statement> getStatements()
Gets the list of statements attached to this assertion.

Specified by:
  `getStatements` in interface `Assertion`
Returns:
  the list of statements attached to this assertion

### getStatements

@Nonnull @Live public List<Statement> getStatements(@Nonnull QName typeOrName)
Gets the list of statements attached to this assertion that match a particular QName.

Specified by:
  `getStatements` in interface `Assertion`
Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  the list of statements attached to this assertion

### getAuthnStatements

@Nonnull @Live public List<AuthnStatement> getAuthnStatements()
Gets the list of AuthnStatements attached to this assertion.

Specified by:
  `getAuthnStatements` in interface `Assertion`
Returns:
  the list of AuthnStatements attached to this assertion

### getAuthzDecisionStatements

@Nonnull @Live public List<AuthzDecisionStatement> getAuthzDecisionStatements()
Gets the list of AuthzDecisionStatements attached to this assertion.

Specified by:
  `getAuthzDecisionStatements` in interface `Assertion`
Returns:
  the list of AuthzDecisionStatements attached to this assertion

### getAttributeStatements

@Nonnull @Live public List<AttributeStatement> getAttributeStatements()
Gets the list of AttributeStatement attached to this assertion.

Specified by:
  `getAttributeStatements` in interface `Assertion`
Returns:
  the list of AttributeStatement attached to this assertion

### getSignatureReferenceID

@Nullable public String getSignatureReferenceID()
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.

Specified by:
  `getSignatureReferenceID` in interface `SignableSAMLObject`
Returns:
  the value of this SAMLObject ID attribute

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements